package com.iamberry.wechat.core.entity.cart;

import java.io.Serializable;

/**
 * 
 * @author 刘志伟
 * 销售订单项类
 */
public class ShopOrderItemDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -2373805406215436318L;

	private Integer itemId;								//订单条目id
	
	private String itemSalesOrderid;				//所属订单
	
	private Integer itemColorId;						//商品颜色表id
	
	private Integer itemProductId;					//购物商品
	
	private Integer itemNum;						//商品数量
	
	private Integer itemTotal;						//小结
	
	private String itemProductName;			//商品名称
	
	private Integer itemProductDiscount;		//商品优惠价
	
	private Integer itemProductPrice;			//商品原价
	
	private String itemProductPic;					//介绍图
	
	private String productStatus;					//产品状态
	
	private Integer itemProductType;			//产品类型id
	
	private String productColor;			//产品颜色
	
	

	public Integer getItemColorId() {
		return itemColorId;
	}

	public void setItemColorId(Integer itemColorId) {
		this.itemColorId = itemColorId;
	}

	public String getProductStatus() {
		return productStatus;
	}

	public Integer getItemProductType() {
		return itemProductType;
	}

	public void setItemProductType(Integer itemProductType) {
		this.itemProductType = itemProductType;
	}

	public String getProductColor() {
		return productColor;
	}

	public void setProductColor(String productColor) {
		this.productColor = productColor;
	}

	public void setProductStatus(String productStatus) {
		this.productStatus = productStatus;
	}

	public Integer getItemId() {
		return itemId;
	}

	public void setItemId(Integer itemId) {
		this.itemId = itemId;
	}

	public String getItemSalesOrderid() {
		return itemSalesOrderid;
	}

	public void setItemSalesOrderid(String itemSalesOrderid) {
		this.itemSalesOrderid = itemSalesOrderid;
	}

	public Integer getItemNum() {
		return itemNum;
	}

	public void setItemNum(Integer itemNum) {
		this.itemNum = itemNum;
	}

	public Integer getItemTotal() {
		return itemTotal;
	}

	public void setItemTotal(Integer itemTotal) {
		this.itemTotal = itemTotal;
	}

	public String getItemProductName() {
		return itemProductName;
	}

	public void setItemProductName(String itemProductName) {
		this.itemProductName = itemProductName;
	}

	public Integer getItemProductDiscount() {
		return itemProductDiscount;
	}

	public void setItemProductDiscount(Integer itemProductDiscount) {
		this.itemProductDiscount = itemProductDiscount;
	}

	public Integer getItemProductPrice() {
		return itemProductPrice;
	}

	public void setItemProductPrice(Integer itemProductPrice) {
		this.itemProductPrice = itemProductPrice;
	}

	public String getItemProductPic() {
		return itemProductPic;
	}

	public void setItemProductPic(String itemProductPic) {
		this.itemProductPic = itemProductPic;
	}

	public Integer getItemProductId() {
		return itemProductId;
	}

	public void setItemProductId(Integer itemProductId) {
		this.itemProductId = itemProductId;
	}
	
	
	
}
